
Name:      qubes-mgmt-salt-dom0-update
Version:   4.1.8
Release:   1%{?dist}
Summary:   Custom 'pkg' module that enables state files to install or update packages in dom0
License:   GPL 2.0
URL:	   http://www.qubes-os.org/

Group:     System administration tools
BuildArch: noarch
BuildRequires: make
Requires:  qubes-mgmt-salt
Requires:  qubes-mgmt-salt-dom0
Requires:  qubes-core-dom0-linux >= 4.1.9

Source0: %{name}-%{version}.tar.gz

%description
Custom 'pkg' module that enables state files to install or update packages in dom0

%prep
%setup -q

%build

%install
make install DESTDIR=%{buildroot} LIBDIR=%{_libdir} BINDIR=%{_bindir} SBINDIR=%{_sbindir} SYSCONFDIR=%{_sysconfdir}

%post
# Update Salt Configuration
qubesctl saltutil.clear_cache -l quiet --out quiet > /dev/null || true
qubesctl saltutil.sync_all refresh=true -l quiet --out quiet > /dev/null || true

# Enable Test States
#qubesctl top.enable update.tests saltenv=test -l quiet --out quiet > /dev/null || true

%files
%defattr(-,root,root)
%doc LICENSE README.rst
%attr(750, root, root) %dir /srv/salt/_modules
/srv/salt/_modules/qubes_dom0_update.py*

%attr(750, root, root) %dir /srv/formulas/base/update-formula
/srv/formulas/base/update-formula/update/qubes-vm.sls
/srv/formulas/base/update-formula/update/qubes-dom0.sls
/srv/formulas/base/update-formula/update/dnf-makecache

%attr(750, root, root) %dir /srv/formulas/test/update-formula
/srv/formulas/test/update-formula/LICENSE
/srv/formulas/test/update-formula/README.rst
/srv/formulas/test/update-formula/update/tests.sls
/srv/formulas/test/update-formula/update/tests.top

%config(noreplace) /etc/salt/minion.d/formula-update.conf

%changelog
* Tue Nov 09 2021 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-mgmt-salt-dom0-update.git

* Tue Nov 09 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 50b3e2b
- version 4.1.8

* Sun Oct 17 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 20bd197
- spec: add BR make

* Mon Oct 11 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4819df8
- Keep CVE-2021-20271 workaround on Fedora 32 and older

* Tue Sep 28 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 55bde4b
- version 4.1.7

* Sun Sep 26 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c31289f
- debian: automatically accept stable -> oldstable change

* Sun Sep 26 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 694c859
- Drop CVE-2021-20271 mitigation

* Tue Sep 14 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - 410e062
- Disable deltarpm via Salt

* Thu Mar 18 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2bc9e62
- version 4.1.6

* Thu Mar 18 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - df26be5
- Enforce signature check in RPM

* Thu Feb 25 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b48325c
- version 4.1.5

* Wed Feb 24 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 21e40bc
- Fix package version regex

* Wed Feb 24 2021 Demi Marie Obenour <athena@invisiblethingslab.com> - a9c695a
- Avoid extra refreshes when updating dom0

* Mon Feb 08 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - c6910c6
- debian: dsa-4371 fix is not needed anymore

* Sun Jan 24 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b787b03
- version 4.1.4

* Sun Jan 24 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6762612
- rpm: require new enough qubes-core-dom0-linux

* Mon Jan 18 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 61deb21
- Use qubes-dom0-update --console --show-output when output is desired

* Mon Jan 18 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8040090
- Strip color sequences from qubes-dom0-update output

* Wed Dec 23 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 83e0b79
- Sanitize qubes-dom0-update output

* Wed Dec 23 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fdb7f11
- Add extra validation of qubes-dom0-update output

* Fri Dec 18 2020 Demi Marie Obenour <athena@invisiblethingslab.com> - 851b152
- Create the DNF cache with -y before upgrading

* Sun Nov 15 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 8851540
- Add .gitlab-ci.yml

* Fri Aug 07 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 4bb78fa
- Update travis

* Mon Mar 16 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - da2da9b
- version 4.1.3

* Sun Mar 15 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - aed8eb5
- rpm: require new enough qubes-core-dom0-linux

* Sun Mar 08 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e32dc3f
- Drop states using 'onlyif' condition

* Thu Feb 13 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - 0aa3cfd
- Invoke 'dnf list' remotely

* Sat Jan 11 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 0aa8ddb
- travis: switch to dom0 Fedora 31

* Sat Nov 30 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 455db1c
- version 4.1.2

* Wed Nov 27 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4ae92f8
- Re-run update status notification after the update

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - da7f353
- travis: switch to bionic

* Wed Jun 19 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 708adaf
- version 4.1.1

* Wed Jun 19 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ca9d284
- travis: update to R4.1

* Wed Jun 19 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8b0a459
- fix list_upgrades method

* Wed May 29 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f65e7e2
- Fix handling buster in dsa-4371-update script

* Sat Apr 13 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3add5a4
- travis: switch to xenial, ignore irrelevant builds

* Sat Apr 13 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 51c9027
- Update onion repositories address

* Fri Apr 12 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0de02c3
- Remove jessie-backports from stretch template

* Tue Apr 02 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8ab08fd
- version 4.1.0

* Mon Apr 01 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2f04b19
- Update based on yumpkg from salt 2019.2

* Fri Jan 25 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 18eb012
- version 4.0.6

* Fri Jan 25 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 17753ec
- Workaround for dnf not refreshing metadata cache

* Wed Jan 23 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4891791
- version 4.0.5

* Wed Jan 23 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 87639c9
- Rename update/vm.sls to update/qubes-vm.sls to avoid conflicts

* Wed Jan 23 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 18fb694
- Use dsa-4371-update script instead of non-declarative states

* Wed Jan 23 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a7a3e52
- Include update.vm state in the package.

* Wed Jan 23 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6712299
- Add state that apply DSA-4371-1 fix safely

* Sun Dec 09 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 021b4de
- version 4.0.4

* Sun Dec 02 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 31e218e
- Fix handling pkg.upgrade refresh=True

* Wed Nov 21 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3810327
- Fix pkg.upgrade for dom0.

* Tue Apr 03 2018 Frédéric Pierret <frederic.epitre@orange.fr> - 9c851ac
- spec.in: add changelog placeholder

